Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Class RomanList

    java.lang.Object
      com.lowagie.text.List
          com.lowagie.text.RomanList

All Implemented Interfaces:
  Element, TextElementArray

    public class RomanList

extends List

A special-version of `LIST` which use roman-letters.

See Also:
  `List`

Field Summary

Fields inherited from class com.lowagie.text.List
`alignindent, ALPHABETICAL, autoindent, first, indentationLeft, indentationRight, lettered, list, lowercase, LOWERCASE, numbered, NUMERICAL, ORDERED, symbol, symbolIndent, UNORDERED, UPPERCASE`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`RomanList()` Initialization
`RomanList(boolean lowercase, int symbolIndent)` Initialization
`RomanList(int symbolIndent)` Initialization

Method Summary
`boolean` | `add(Object o)` Adds an `Object` to the `List`.
`boolean` | `isRomanLower()` Deprecated. As of iText 2.0.3, replaced by `List.isLowercase()`, scheduled for removal at 2.1.0
`void` | `setRomanLower(boolean romanlower)` Deprecated. As of iText 2.0.3, replaced by `List.setLowercase(boolean)`, scheduled for removal at 2.1.0
`static String` | `toRoman(int number)` Deprecated. As of iText 2.0.3, replaced by `RomanNumberFactory.getString(int)`, scheduled for removal at 2.1.0
`static String` | `toRomanLowerCase(int number)` Deprecated. As of iText 2.0.3, replaced by `RomanNumberFactory.getString(int, boolean)`, scheduled for removal at 2.1.0
`static String` | `toRomanUpperCase(int number)` Deprecated. As of iText 2.0.3, replaced by `RomanNumberFactory.getString(int, boolean)`, scheduled for removal at 2.1.0

Methods inherited from class com.lowagie.text.List
`first, getChunks, getFirst, getIndentationLeft, getIndentationRight, getItems, getSymbol, getSymbolIndent, getTotalLeading, indentationLeft, indentationRight, isAlignindent, isAutoindent, isEmpty, isLettered, isLowercase, isLowerCase, isNumbered, normalizeIndentation, process, setAlignindent, setAutoindent, setFirst, setIndentationLeft, setIndentationRight, setLettered, setListSymbol, setListSymbol, setLowercase, setNumbered, setSymbolIndent, size, symbol, symbolIndent, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Constructor Detail

### RomanList

    public RomanList()

  Initialization

### RomanList

    public RomanList(int symbolIndent)

  Initialization

  Parameters:
    `symbolIndent` - indent

### RomanList

    public RomanList(boolean lowercase,
                     int symbolIndent)

  Initialization

  Parameters:
    `lowercase` - roman-char in lowercase
    `symbolIndent` - indent

Method Detail

### add

    public boolean add(Object o)

  Adds an `Object` to the `List`.

  Specified by:
    `add` in interface `TextElementArray`
  Overrides:
    `add` in class `List`
  Parameters:
    `o` - the object to add.
  Returns:
    true if adding the object succeeded

### toRoman

    public static String toRoman(int number)

  Deprecated. As of iText 2.0.3, replaced by `RomanNumberFactory.getString(int)`, scheduled for removal at 2.1.0

### toRomanLowerCase

    public static String toRomanLowerCase(int number)

  Deprecated. As of iText 2.0.3, replaced by `RomanNumberFactory.getString(int, boolean)`, scheduled for removal at 2.1.0

### toRomanUpperCase

    public static String toRomanUpperCase(int number)

  Deprecated. As of iText 2.0.3, replaced by `RomanNumberFactory.getString(int, boolean)`, scheduled for removal at 2.1.0

### setRomanLower

    public void setRomanLower(boolean romanlower)

  Deprecated. As of iText 2.0.3, replaced by `List.setLowercase(boolean)`, scheduled for removal at 2.1.0

  set the roman-letters to lowercase otherwise to uppercase

  Parameters:
    `romanlower` -

### isRomanLower

    public boolean isRomanLower()

  Deprecated. As of iText 2.0.3, replaced by `List.isLowercase()`, scheduled for removal at 2.1.0

  Checks if the list is roman-letter with lowercase

  Returns:
    `true` if the roman-letter is lowercase, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD